Get import log changes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/changes

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
  • importLogId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • customId string
    • name string
    • field string
    • id integer(int64)
    • revisionAction string

      Values are ADDED, DELETED, or UPDATED.

    • changeReason string

      Values are Constraint_DataDate, Dont_Support_SF, Constraint_Not_Supported, Future_Start_Date, Future_End_Date, Started_No_Progress, Early_Start_Date, Decreased_Percent_Completed, Decreased_Physical_Percent_Complete, Decreased_Units_Percent_Complete, Decreased_Actual_Manpower, Ignored_Changed_Actual_Start_Date, Ignored_Changed_Actual_Finished_Date, Finished_Without_Actual_Finish_Date, Activity_Type_Not_Supported, Logic_Tie_Generation, Duration_Hours_From_Conversion, Ignored_Changed_Planned_Duration, Ignored_Changed_Actual_Duration, Not_Started_With_Percent_Completed, Increased_Remaining_Duration, Power_Project_Slope_Integration, or Power_Project_Bar_Constraint.

    • entity string

      Values are Activity, Logic, Report, Calendar, CalendarWorktime, or WBS.

    • oldValue string
    • newValue string
    • entityId integer(int64)
GET /project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/changes
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/changes' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "customId": "string",
    "name": "string",
    "field": "string",
    "id": 42,
    "revisionAction": "ADDED",
    "changeReason": "Constraint_DataDate",
    "entity": "Activity",
    "oldValue": "string",
    "newValue": "string",
    "entityId": 42
  }
]